Bug 2076364 - [abrt] gjs: g_main_context_iterate.constprop.0(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: g_main_context_iterate.constprop.0(): gjs-console killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8f6ab4ce44dd0acb39aa8dcceff...
: 2059556 2087048 2089255 2089969 2090379 2091056 2091253 2091312 2091575 2091617 2093398 2093579 2094274 2095697 2095773 2096047 2096381 2098474 2099215 2105204 2105855 2106356 2106954 2107041 2107064 2115816 (view as bug list)
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-18 19:55 UTC by Kamil Páral
Modified: 2022-08-05 13:03 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (183.41 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: core_backtrace (62.86 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.61 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: environ (2.37 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: exploitable (139 bytes, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: maps (3.93 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: mountinfo (3.36 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: open_fds (2.62 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.41 KB, text/plain)
2022-04-18 19:55 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2022-04-18 19:55:03 UTC
Description of problem:
This crash happens each time I close gnome-maps.

Version-Release number of selected component:
gjs-1.72.0-2.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.3-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-2.fc36.x86_64 (Fedora Project) 1649926890
executable:     /usr/bin/gjs-console
journald_cursor: s=da996bdcc5fa4177a4d7ee71f3ec1d7f;i=f0cae;b=1045d05fcddb4436b710ef6c7cb8657f;m=61013c11a;t=5dcf26b72287d;x=5040837397f66729
kernel:         5.17.3-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4211
 #4 g_main_context_iteration at ../glib/gmain.c:4276
 #5 source_registry_dispose at /usr/src/debug/evolution-data-server-3.44.0-1.fc36.x86_64/src/libedataserver/e-source-registry.c:1354
 #8 edsf_persona_store_finalize
 #11 gee_hash_map_real_clear at /usr/src/debug/libgee-0.20.5-1.fc36.x86_64/gee/hashmap.c:1538
 #12 gee_hash_map_finalize at /usr/src/debug/libgee-0.20.5-1.fc36.x86_64/gee/hashmap.c:5086
 #15 folks_individual_aggregator_finalize
 #18 maps_contact_store_dispose at ../lib/maps-contact-store.c:70
 #21 ObjectInstance::disassociate_js_gobject at ../gi/object.cpp:1749
 #22 std::function<void (ObjectInstance*)>::operator()(ObjectInstance*) const at /usr/include/c++/12/bits/std_function.h:591

Comment 1 Kamil Páral 2022-04-18 19:55:07 UTC
Created attachment 1873350 [details]
File: backtrace

Comment 2 Kamil Páral 2022-04-18 19:55:09 UTC
Created attachment 1873351 [details]
File: core_backtrace

Comment 3 Kamil Páral 2022-04-18 19:55:10 UTC
Created attachment 1873352 [details]
File: cpuinfo

Comment 4 Kamil Páral 2022-04-18 19:55:12 UTC
Created attachment 1873353 [details]
File: environ

Comment 5 Kamil Páral 2022-04-18 19:55:13 UTC
Created attachment 1873354 [details]
File: exploitable

Comment 6 Kamil Páral 2022-04-18 19:55:15 UTC
Created attachment 1873355 [details]
File: limits

Comment 7 Kamil Páral 2022-04-18 19:55:16 UTC
Created attachment 1873356 [details]
File: maps

Comment 8 Kamil Páral 2022-04-18 19:55:18 UTC
Created attachment 1873357 [details]
File: mountinfo

Comment 9 Kamil Páral 2022-04-18 19:55:19 UTC
Created attachment 1873358 [details]
File: open_fds

Comment 10 Kamil Páral 2022-04-18 19:55:20 UTC
Created attachment 1873359 [details]
File: proc_pid_status

Comment 11 Kamil Páral 2022-04-18 19:58:55 UTC
Proposing for a blocker discussion due to:
https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Default_application_functionality

Basic app functionality should probably include not crashing when closing the app. Currently each time you close gnome-maps, a notification pops up telling that that it crashed. On the other hand, I haven't seen any actual negative effects of this crash, just the notification.

Comment 12 lnie 2022-04-19 06:05:19 UTC
*** Bug 2059556 has been marked as a duplicate of this bug. ***

Comment 13 Adam Williamson 2022-04-19 16:26:51 UTC
+3 FE in https://pagure.io/fedora-qa/blocker-review/issue/763 , marking accepted. Blocker vote is still in progress.

Comment 14 Geoffrey Marr 2022-04-19 18:57:22 UTC
Discussed during the 2022-04-19 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker (Final)" was made as a crash on exit does not seem serious enough to count as violating the "basic functionality" requirement; this is consistent with past decisions. Note, bug is already accepted as a freeze exception issue.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-04-19/f36-blocker-review.2022-04-19-16.09.txt

Comment 15 kvesantera 2022-05-17 08:15:52 UTC
*** Bug 2087048 has been marked as a duplicate of this bug. ***

Comment 16 duk.bekema 2022-05-23 09:54:35 UTC
*** Bug 2089255 has been marked as a duplicate of this bug. ***

Comment 17 Artur Frenszek-Iwicki 2022-05-24 20:35:46 UTC
*** Bug 2089969 has been marked as a duplicate of this bug. ***

Comment 18 Joran Martinière 2022-05-25 16:01:59 UTC
*** Bug 2090379 has been marked as a duplicate of this bug. ***

Comment 19 Ricardo Ramos 2022-05-26 14:39:27 UTC
Similar problem has been detected:

This crashes after Gnome Maps is closed.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-3.fc36.x86_64 (Fedora Project) 1652878124
executable:     /usr/bin/gjs-console
journald_cursor: s=54c8e97c7ee74702976f9a1317c44726;i=20da4;b=e0c603ebdd6c44219632592fbc9cf623;m=4ced82cfa;t=5dfe3a4b1125a;x=121376c02db875db
kernel:         5.17.9-300.fc36.x86_64
package:        gjs-1.72.0-3.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Ricardo Ramos 2022-05-26 15:58:16 UTC
Similar problem has been detected:

It crashes after Gnome Maps is closed.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-3.fc36.x86_64 (Fedora Project) 1652878124
executable:     /usr/bin/gjs-console
journald_cursor: s=54c8e97c7ee74702976f9a1317c44726;i=21a8a;b=fbe0accd032e49e386277c5bab09c1a8;m=1ac5d38fa;t=5dfebb59c9b67;x=16c16ccf87a89c1e
kernel:         5.17.9-300.fc36.x86_64
package:        gjs-1.72.0-3.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 aoellerer 2022-05-27 13:01:48 UTC
*** Bug 2091056 has been marked as a duplicate of this bug. ***

Comment 22 Baptiste Mille-Mathias 2022-05-28 08:30:35 UTC
*** Bug 2091253 has been marked as a duplicate of this bug. ***

Comment 23 GMND 2022-05-28 19:14:57 UTC
*** Bug 2091312 has been marked as a duplicate of this bug. ***

Comment 24 bradleyfourie 2022-05-29 18:41:26 UTC
Similar problem has been detected:

Closed the map or weather app

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
executable:     /usr/bin/gjs-console
journald_cursor: s=8933f39cc8f14695983adabc7af08183;i=66f5;b=78ce2f6aeb10498e9c9227d7d53729cd;m=3e61f1ced;t=5e029ed1a494f;x=19d7a0fe9bc003f1
kernel:         5.17.11-300.fc36.x86_64
package:        gjs-1.72.0-3.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 duk.bekema 2022-05-30 11:12:29 UTC
*** Bug 2091575 has been marked as a duplicate of this bug. ***

Comment 26 aoellerer 2022-05-30 13:55:53 UTC
*** Bug 2091617 has been marked as a duplicate of this bug. ***

Comment 27 duk.bekema 2022-06-03 15:37:18 UTC
*** Bug 2093398 has been marked as a duplicate of this bug. ***

Comment 28 Angie 2022-06-04 05:58:51 UTC
Similar problem has been detected:

Closed Gnome Maps after first launch since Fedora 36 OS install

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-3.fc36.x86_64 (Fedora Project) 1654217685
executable:     /usr/bin/gjs-console
journald_cursor: s=00081ce102e449e7ac5d5b6e40d38d08;i=7db1;b=6a37673be66d4488917b59b8df37cdbd;m=7338e55b;t=5e0985c4beb82;x=30badaf55834e9b7
kernel:         5.17.11-300.fc36.x86_64
package:        gjs-1.72.0-3.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 ingli 2022-06-04 14:06:39 UTC
*** Bug 2093579 has been marked as a duplicate of this bug. ***

Comment 30 mphokjele 2022-06-04 18:22:10 UTC
Similar problem has been detected:

clicked go to current location -> location settings

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-3.fc36.x86_64 (Fedora Project) 1652783757
executable:     /usr/bin/gjs-console
journald_cursor: s=f6209cc0155c4fff8a065fb0077faf5a;i=35520;b=f51f210776f944adb90f16f146ab50b4;m=1f4089181;t=5e0a2c0b59e31;x=7ab00f5ee831b5cf
kernel:         5.17.12-300.fc36.x86_64
package:        gjs-1.72.0-3.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 aoellerer 2022-06-07 10:31:36 UTC
*** Bug 2094274 has been marked as a duplicate of this bug. ***

Comment 32 niemand 2022-06-10 09:18:43 UTC
*** Bug 2095697 has been marked as a duplicate of this bug. ***

Comment 33 duk.bekema 2022-06-10 14:03:06 UTC
*** Bug 2095773 has been marked as a duplicate of this bug. ***

Comment 34 wjtje@duck.com 2022-06-12 07:55:35 UTC
*** Bug 2096047 has been marked as a duplicate of this bug. ***

Comment 35 duk.bekema 2022-06-13 16:44:39 UTC
*** Bug 2096381 has been marked as a duplicate of this bug. ***

Comment 36 Rubén 2022-06-19 21:02:44 UTC
*** Bug 2098474 has been marked as a duplicate of this bug. ***

Comment 37 Dirk Hansmann 2022-06-20 10:35:05 UTC
*** Bug 2099215 has been marked as a duplicate of this bug. ***

Comment 38 hngr0z9afgep 2022-06-24 15:14:41 UTC
Similar problem has been detected:

Sorry folks, It appears to be a force-close from several days ago which only popped up as a report-bug when I rebooted.  

No clue even what gjs-console is.  

Just a humble user here.  

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-org.gnome.Maps@0.service
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: g_main_context_iterate.constprop.0
dso_list:       /usr/bin/gjs-console gjs-1.72.0-4.fc36.x86_64 (Fedora Project) 1655844032
executable:     /usr/bin/gjs-console
journald_cursor: s=7622fa30959347d8aca3ef2bb72a127f;i=1914d;b=1a514b77bc55495abbc0dd45a86d4573;m=5ffaab18e;t=5e2015b0d4373;x=9cbc91e1231a4e2f
kernel:         5.18.5-200.fc36.x86_64
package:        gjs-1.72.0-4.fc36
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 39 Zoran Regvart 2022-07-08 09:02:44 UTC
*** Bug 2105204 has been marked as a duplicate of this bug. ***

Comment 40 Iago 2022-07-11 01:18:51 UTC
*** Bug 2105855 has been marked as a duplicate of this bug. ***

Comment 41 ringsjupe 2022-07-12 12:46:54 UTC
*** Bug 2106356 has been marked as a duplicate of this bug. ***

Comment 42 Fifty Dinar 2022-07-14 00:05:00 UTC
*** Bug 2106954 has been marked as a duplicate of this bug. ***

Comment 43 domi+redhat 2022-07-14 08:01:21 UTC
*** Bug 2107041 has been marked as a duplicate of this bug. ***

Comment 44 sime.thompson 2022-07-14 08:59:30 UTC
*** Bug 2107064 has been marked as a duplicate of this bug. ***

Comment 45 Peter Randazzo 2022-08-05 13:03:49 UTC
*** Bug 2115816 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.